from rest_framework.response import Response

class ApiResponse:
    """API标准响应格式工具类"""
    
    @staticmethod
    def success(data=None, message="操作成功", code=200):
        """
        返回成功响应
        
        Args:
            data: 响应数据
            message: 成功消息
            code: 状态码
        """
        return Response({
            "code": code,
            "message": message,
            "data": data
        })
    
    @staticmethod
    def error(message="操作失败", code=400, data=None):
        """
        返回错误响应
        
        Args:
            message: 错误消息
            code: 错误状态码
            data: 额外数据
        """
        return Response({
            "code": code,
            "message": message,
            "data": data
        }, status=code) 